
/**
 * Custom theming for the popupsLoading.
 */
Drupal.theme.popupLoading = function() {
  var loading;
  loading += '<div id="popups-loading">';
  loading += '  <table>';
  loading += '    <tr>';
  loading += '      <td id="popups-tl" class="popups-border"></td>';
  loading += '      <td id="popups-t" class="popups-border"></td>';
  loading += '      <td id="popups-tr" class="popups-border"></td>';
  loading += '    </tr>';
  loading += '    <tr>';
  loading += '      <td id="popups-cl" class="popups-border"></td>';
  loading += '      <td id="popups-c">';
  loading += '        <span class="popups-loading-message">Loading...</span>';
  loading += '      </td>';
  loading += '      <td id="popups-cr" class="popups-border"></td>';
  loading += '    </tr>';
  loading += '    <tr>';
  loading += '      <td id="popups-bl" class="popups-border"></td>';
  loading += '      <td id="popups-b" class="popups-border"></td>';
  loading += '      <td id="popups-br" class="popups-border"></td>';
  loading += '    </tr>';
  loading += '  </table>';
  loading += '</div>';
  return loading;
};

Drupal.theme.popupTemplate = function () {
  var template;
  template += '<div id="popups">';
  template += '  <table>';
  template += '    <tr>';
  template += '      <td id="popups-tl" class="popups-border"></td>';
  template += '      <td id="popups-t" class="popups-border"></td>';
  template += '      <td id="popups-tr" class="popups-border"></td>';
  template += '    </tr>';
  template += '    <tr>';
  template += '      <td id="popups-cl" class="popups-border"></td>';
  template += '      <td id="popups-c">';
  template += '        <div id="popups-container">';
  template += '          <div id="popups-title">';
  template += '            <div id="popups-close"><a href="#">' + Drupal.t('Close') + '</a></div>';
  template += '            <div class="title">%title</div>';
  template += '            <div class="clear-block"></div>';
  template += '          </div>';
  template += '          <div id="popups-body">%body</div>';
  template += '          <div id="popups-buttons">%buttons</div>';
  template += '          <div id="popups-footer"></div>';
  template += '        </div>';
  template += '      </td>';
  template += '      <td id="popups-cr" class="popups-border"></td>';
  template += '    </tr>';
  template += '    <tr>';
  template += '      <td id="popups-bl" class="popups-border"></td>';
  template += '      <td id="popups-b" class="popups-border"></td>';
  template += '      <td id="popups-br" class="popups-border"></td>';
  template += '    </tr>';
  template += '  </table>';
  template += '</div>';
  return template;
};

/**
 * We need to resize the popups-container as well as the popups if it scrolls
 */
Drupal.behaviors.resizePopupsContainer = function() {
  var $popups = $('#popups-container');
  var popupHeight = $popups.height();
  var windowHeight = $(window).height();
  if (popupHeight > (0.9 * windowHeight) ) { // Must fit in 90% of window.
    // we make this slightly smaller than popups so that it fits inside
    popupHeight = 0.85 * windowHeight;
    $popups.height(popupHeight);
  }
};